<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<div class="c-coursesearch c-coursesearch-filter">
    <f:if condition="{preselection}">
        <f:then>
            <f:form pluginName="CoursesearchResult" action="courseResult" pageUid="{settings.view_resultpid}" name="tx-drkcoursesearch-form-course" class="o-form c-coursesearch-form" method="get">
                <p><b>{f:translate(id: 'form.compact.course.headline', arguments: '{0: preselection.CourseTypeDescription}')}</b></p>
                <div class="form-group">
                    <f:form.hidden name="courseType" value="{preselection.CourseType}"/>
                    <f:form.textfield name="zip"
                                      class="o-form__field o-form__field o-form__field--text searchbox"
                                      id="tx-drkcoursesearch-angebote-searchbox"
                                      value="{arguments.zip}"
                                      additionalAttributes="{required: ''}"/>
                    <label class="o-form__label"
                           for="tx-drkcoursesearch-angebote-searchbox">
                        {f:translate(id: 'form.course.angebote_plz.label')} / {f:translate(id:
                        'form.course.angebote_city.label')}
                    </label>
                </div>
                <f:if condition="{searchRangeSelection}">
                    <div class="form-group">
                        <f:form.select class="o-form__field o-form__field--select" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                        <label class="o-form__label" for="iSearchRange">
                            {f:translate(id: 'form.course.range.label')}
                        </label>
                    </div>
                </f:if>
                <div class="form-group">
                    <f:form.submit name="submit" id="tx-drkcoursesearch-angebote-small-button-submit"
                                   class="button button--primary o-btn o-btn--full"
                                   value="{f:translate(id: 'form.compact.course.submit')}"/>
                    <f:if condition="{settings.location_search}">
                        <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                            <drk:svgEmbed src="EXT:drk_coursesearch/Resources/Public/Images/icon_gps-indicator.svg" />
                        </a>
                    </f:if>
                </div>
            </f:form>
        </f:then>
        <f:else>
            <f:form pluginName="CoursesearchResult" action="courseResult" pageUid="{settings.view_resultpid}" name="tx-drkcoursesearch-form-course" class="o-form c-coursesearch-form" method="get">
                <f:if condition="{showLabels}!=1">
                    <header class="header">
                        <h4 class="c-coursesearch-form__headline">{f:translate(id: 'form.course.headline')}</h4>
                    </header>
                </f:if>
                <fieldset class="o-form__section">
                    <div class="form-group">
                        <f:form.select name="courseType" size="1"
                                       id="tx-drkcoursesearch-angebote-selectbox"
                                       class="o-form__field o-form__field o-form__field--select"
                                       options="{courseList}" optionValueField="CourseType"
                                       optionLabelField="CourseTypeDescription"
                                       prependOptionLabel="{f:translate(id: 'form.course.angebote.I.0')}"
                                       prependOptionValue="0" value="{arguments.courseType}"/>
                        <label class="o-form__label">
                            {f:translate(id: 'form.course.angebote.label')}
                        </label>
                    </div>
                    <div
                        class="form-group">
                        <f:form.textfield name="zip"
                                          class="o-form__field o-form__field o-form__field--text searchbox"
                                          id="tx-drkcoursesearch-angebote-searchbox"
                                          value="{arguments.zip}"/>
                        <label
                            for="tx-drkcoursesearch-angebote-searchbox"
                            class="o-form__label">
                            {f:translate(id: 'form.course.angebote_plz.label')} / {f:translate(id:'form.course.angebote_city.label')}
                        </label>
                    </div>
                    <f:if condition="{searchRangeSelection}">
                        <div class="form-group">
                            <f:form.select class="o-form__field o-form__field--select" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                            <label class="o-form__label" for="iSearchRange">
                                {f:translate(id: 'form.course.range.label')}
                            </label>
                        </div>
                    </f:if>
                    <div class="form-group">
                        <f:form.submit name="submit" id="tx-drkcoursesearch-angebote-button-submit"
                                       class="button button--primary o-btn o-btn--full"
                                       value="{f:translate(id: 'courseResult.form.submit')}"/>
                        <f:if condition="{settings.location_search}">
                            <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                                <drk:svgEmbed src="EXT:drk_coursesearch/Resources/Public/Images/icon_gps-indicator.svg" />
                            </a>
                        </f:if>
                    </div>
                </fieldset>
            </f:form>
        </f:else>
    </f:if>
</div>
